<?php

namespace Comitium5\DesignerBundle\Model\Traits;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

/**
 * Class LibraryJSCollectionTrait
 *
 * @author Oscar Jimenez <oscarjg19.developer@gmail.com>
 * @package Comitium5\DesignerBundle\Model\Traits
 */
trait LibraryJSCollectionTrait
{
    /**
     * @var
     */
    protected $libraries;

    /**
     * @param $library
     *
     * @return mixed
     */
    public function addLibrary($library)
    {
    }

    /**
     * @param $library
     *
     * @return mixed
     */
    public function removeLibrary($library)
    {
    }

    /**
     * @return Collection
     */
    public function getLibraries()
    {
        return new ArrayCollection();
    }

    /**
     * @param Collection $library
     *
     * @return $this
     */
    public function setLibraries(Collection $library)
    {
        $this->libraries = $library;

        return $this;
    }
}
